Search found 1728 matches

Go to advanced search

by TheMarkster
Thu Aug 06, 2020 6:47 pm
Forum: Pull Requests
Topic: [PR#3775] Add Wire Orders property to Part Design Loft
Replies: 7
Views: 314

Re: [PR#3775] Add Wire Orders property to Part Design Loft

In this image I have the Wire Orders property selected and the editor brought up. This is type App::PropertyStringList, which the code converts internally back and forth between an array of strings and a 2-dimensional array of integers. IMO, trying to change the order this way is very difficult bec...
by TheMarkster
Thu Aug 06, 2020 6:59 am
Forum: Help on using FreeCAD
Topic: Automated groove function on cylinder
Replies: 6
Views: 101

Re: Automated groove function on cylinder

Sorry about that. Now they're vertical.
Snip macro screenshot-8f939b.png
Snip macro screenshot-8f939b.png (160.3 KiB) Viewed 60 times
by TheMarkster
Thu Aug 06, 2020 6:56 am
Forum: Help on using FreeCAD
Topic: Attaching multiple male header pins to another body
Replies: 4
Views: 84

Re: Attaching multiple male header pins to another body

And there is the humble point array.
Snip macro screenshot-a2136a.png
Snip macro screenshot-a2136a.png (110.43 KiB) Viewed 57 times
by TheMarkster
Thu Aug 06, 2020 6:32 am
Forum: Help on using FreeCAD
Topic: Slicer finds FreeCAD STL file invalid
Replies: 6
Views: 100

Re: Slicer finds FreeCAD STL file invalid

Looks good to me. Create your mesh in Mesh Design workbench, then check it with the Analyze and repair tool in the Mesh Design menu. Then export. You can import your mesh file and check it with the same tool.
Snip macro screenshot-caf474.png
Snip macro screenshot-caf474.png (143.75 KiB) Viewed 82 times
by TheMarkster
Thu Aug 06, 2020 6:26 am
Forum: Help on using FreeCAD
Topic: Automated groove function on cylinder
Replies: 6
Views: 101

Re: Automated groove function on cylinder

Parametric proposal:
RRbase(markster).FCStd
(20.22 KiB) Not downloaded yet
Modify the dd object properties to experiment with different settings.

Snip macro screenshot-61b6ba.png
Snip macro screenshot-61b6ba.png (118.57 KiB) Viewed 75 times
by TheMarkster
Wed Aug 05, 2020 2:28 am
Forum: Help on using FreeCAD
Topic: Carbon Copy Challenges
Replies: 10
Views: 298

Re: Carbon Copy Challenges

Delete the link to external geometry in the sketch you are trying to copy.
by TheMarkster
Wed Aug 05, 2020 2:28 am
Forum: Help on using FreeCAD
Topic: How to merge sketchers in python console ?
Replies: 5
Views: 139

Re: How to merge sketchers in python console ?

andrewWU wrote:
Wed Aug 05, 2020 2:17 am
Thanks!
I still have a problem.
Do you know how to select all the sketches from the python console?
Answered in your other question.
by TheMarkster
Wed Aug 05, 2020 1:51 am
Forum: Help on using FreeCAD
Topic: How to merge sketchers in python console ?
Replies: 5
Views: 139

Re: How to merge sketchers in python console ?

andrewWU wrote:
Wed Aug 05, 2020 12:39 am
Thanks for the answer.
Is there any way to merge all sketchers in python console(without clicking the sketches from view or using the workbench) ?
It should work to select them all and call

Code: Select all

Gui.runCommand('Sketcher_MergeSketches',0)
by TheMarkster
Wed Aug 05, 2020 1:45 am
Forum: Help on using FreeCAD
Topic: How to select sketchers in python console ?
Replies: 2
Views: 78

Re: How to select sketchers in python console ?

One way, but perhaps not the best way:

Code: Select all

[Gui.Selection.addSelection(obj) for obj in App.ActiveDocument.Objects if "Sketch" in str(type(obj))]
by TheMarkster
Wed Aug 05, 2020 1:37 am
Forum: Help on using FreeCAD
Topic: [Solved] Centering Substring Text
Replies: 16
Views: 328

Re: Centering Substring Text

TheMarkster wrote:
Wed Aug 05, 2020 1:08 am
Could be there is some kind of cyclic dependency when referencing the boundbox by the object of the boundbox.
No, the XLength should not be affected by the positon of the object. Stay clear of using XMin or XMax, which would probably introduce a cyclic issue.

Go to advanced search